/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/

//
//	Lo 管理XMO 設定ファイルロードクラス
//			変更履歴
//				2004.01.08	新規作成		二條智文
//
package jp.co.ntt.lms.xmo.Lo;

import java.util.*;
import java.io.*;
import jp.co.ntt.lms.xmo.*;

/**
 * Lo 管理XMO 設定ファイルロードクラスです。<BR>
 * @author T.Nijou
 * @version 0.0.0.1 2004/01/08
 */
public class LoEnv extends XMOEnvironment {

	private static final String mstrFileName = "/conf/xmo/Lo/lo.ini";

	/** 激励メールテンプレートファイルパス */
	public static final String SEND_MAIL_TEMP_PATH = "send_mail_template_path";

	/** 一括送信数 */
	public static final String SEND_MAIL_COUNT = "send_mail_count";	

	/** サーブレットURL */
	public static final String SEND_SERVLET_URL = "send_servlet_url";


	// Singltonとして動作するために自分のインスタンスを保持します
	private static LoEnv objEnv =  new LoEnv();

	/**
	 * インスタンスを返却します
	 * @return LoEnv
	 */
	public static LoEnv getInstance() {
		return objEnv;
	}

	/**
	 * コンストラクタです
	 * @exception XMOException
	 */
	private LoEnv() {
		// 親クラスのコンストラクタを呼び設定ファイルをロードします
		super( mstrFileName );
	}

	/**
	 * メール送信用テンプレートファイルのパスを返します。
	 * @return String ファイルパス
	 */
	public String getSendMailPath()
		throws Exception
	{
		Environment mobjEnv = new Environment();
		String strSendMailPath = getProperty( SEND_MAIL_TEMP_PATH );
		Hashtable htbMacro = new Hashtable();
		htbMacro.put( mobjEnv.SYSTEM_DIR, mobjEnv.getSystemDir() );
		strSendMailPath = mobjEnv.expand( strSendMailPath, htbMacro );
		return strSendMailPath;
	}

	/**
	 * メール一括送信数を返します。
	 * @return String 一括送信数
	 */
	public String getSendMailCount()
		throws Exception
	{
		return (String)objEnv.getProperty( SEND_MAIL_COUNT );
	}

	/**
	 * メール送信サーブレットURLを返します。
	 * @return String サーブレットURL
	 */
	public String getServletURL()
		throws Exception
	{
		return (String)objEnv.getProperty( SEND_SERVLET_URL );
	}


}
